> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simli.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Auto Session from config



## OpenAPI

````yaml https://api.simli.ai/openapi.yaml get /auto/start/{agent_id}/{session_token}
openapi: 3.1.0
info:
  title: Simli
  version: 1.0.0
servers:
  - url: https://api.simli.ai/
    description: API server
security:
  - ApiKeyAuth: []
paths:
  /auto/start/{agent_id}/{session_token}:
    get:
      summary: Start Auto Session from config
      operationId: startAgentIDQuery_auto_start__agent_id___session_token__post
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            title: Agent Id
        - name: session_token
          in: path
          required: true
          schema:
            type: string
            title: Session Token
        - name: redirect
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Redirect
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionDetails'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      deprecated: true
      security: []
components:
  schemas:
    SessionDetails:
      properties:
        roomUrl:
          type: string
          title: Roomurl
        sessionId:
          type: string
          title: Sessionid
      type: object
      required:
        - roomUrl
        - sessionId
      title: SessionDetails
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-simli-api-key

````